<?php
/**
 * @package Catch Themes
 * @subpackage Catch_Box_Pro
 * @since Catch Box Pro 1.0
 */

/**
 * Returns the default options for catchbox.
 *
 * @since Catch Box Pro 4.9
 */
/**
 * Returns the default options for catchbox.
 *
 * @since Catch Box Pro 4.9
 */
function catchbox_defaults() {
    return array(
        'disable_responsive'                => '0',
        'enable_sec_menu'                   => '1',
        'enable_footer_menu'                => '0',
        'header_image_position'             => 'above',
        'site_title_above'                  => '0',
        'search_display_text'               => esc_html__( 'Search', 'catch-box-pro' ),
        'disable_header_search'             => 0,
        'reset_header_space'                => 0,
        'header_top_size'                   => '30',
        'header_top_size_unit'              => 'px',
        'header_right_size'                 => '30',
        'header_right_size_unit'            => 'px',
        'header_bottom_size'                => '30',
        'header_bottom_size_unit'           => 'px',
        'header_left_size'                  => '30',
        'header_left_size_unit'             => 'px',
        'primary_mobile_menu_label'         => esc_html__( 'Menu', 'catch-box-pro' ),
        'secondary_mobile_menu_label'       => esc_html__( 'Secondary Menu', 'catch-box-pro' ),
        'footer_mobile_menu_label'          => esc_html__( 'Footer Menu', 'catch-box-pro' ),
        'hide_mobile_menu_labels'           => '0',
        'color_scheme'                      => 'light',
        'header_background'                 => '#fff',
        'slider_background'                 => '#555',
        'content_background'                => '#eee',
        'article_background'                => '#fff',
        'footer_background'                 => '#fff',
        'footer_sidebar_background'         => '#eee',
        'widget_background'                 => '#fff',
        'slider_text'                       => '#fff',
        'title_hover_color'                 => '#1982d1',
        'heading_color'                     => '#222',
        'heading_hover_color'               => '#1982d1',
        'meta_color'                        => '#666',
        'text_color'                        => '#373737',
        'link_color'                        => '#1b8be0',
        'widget_heading_color'              => '#222',
        'widget_text_color'                 => '#373737',
        'menu_background'                   => '#3d3d3d',
        'menu_color'                        => '#eee',
        'hover_background_color'            => '#e5e5e5',
        'hover_text_color'                  => '#373737',
        'active_background_color'           => 'transparent',
        'active_text_color'                 => '#eee',
        'sub_menu_bg_color'                 => '#f9f9f9',
        'sub_menu_text_color'               => '#444',
        'scrollup_bg_color'                 => '#000',
        'scrollup_text_color'               => '#fff',
        'reset_color'                       => 0,
        'body_font'                         => 'helvetica',
        'title_font'                        => 'helvetica',
        'headings_font'                     => 'helvetica',
        'content_font'                      => 'helvetica',
        'reset_typography'                  => 0,
        'body_font_size'                    => '16',
        'body_font_size_unit'               => 'px',
        'body_line_height'                  => '1.62',
        'body_line_height_unit'             => 'em',
        'site_title_font_size'              => '36',
        'site_title_font_size_unit'         => 'px',
        'site_title_line_height'            => '46',
        'site_title_line_height_unit'       => 'px',
        'site_description_font_size'        => '14',
        'site_description_font_size_unit'   => 'px',
        'site_description_line_height'      => '1.62',
        'site_description_line_height_unit' => 'em',
        'title_font_size'                   => '26',
        'title_font_size_unit'              => 'px',
        'h1_font_size'                      => '26',
        'h1_font_size_unit'                 => 'px',
        'h2_font_size'                      => '24',
        'h2_font_size_unit'                 => 'px',
        'h3_font_size'                      => '22',
        'h3_font_size_unit'                 => 'px',
        'h4_font_size'                      => '20',
        'h4_font_size_unit'                 => 'px',
        'headings_line_height'              => '1.62',
        'headings_line_height_unit'         => 'em',
        'content_font_size'                 => '15',
        'content_font_size_unit'            => 'px',
        'content_line_height'               => '1.62',
        'content_line_height_unit'          => 'em',
        'reset_typography_font_size'        => 0,
        'sidebar_layout'                    => 'right-sidebar',
        'woocommerce_layout'                => 'right-sidebar',
        //WooCommerce Options
        'disable_product_gallery_zoom'      => 0,
        'disable_product_gallery_lightbox'  => 0,
        'disable_product_gallery_slider'    => 0,
        'reset_sidebar_layout'              => 0,
        'theme_layout'                      => is_rtl() ? 'sidebar-content' : 'content-sidebar',
        'content_layout'                    => 'excerpt',
        'show_updated'                      => 0,
        'front_page_category'               => '0',
        'exclude_slider_post'               => '0',
        'slider_qty'                        => 4,
        'select_slider_type'                => 'post-slider',
        'select_slider_layout'              => 'normal',
        'enable_slider'                     => 'enable-slider-homepage',
        'slider_category'                   => '0',
        'featured_slider'                   => array(),
        'featured_slider_page'              => array(),
        'featured_image_slider_image'       => array(),
        'featured_image_slider_link'        => array(),
        'featured_image_slider_base'        => array(),
        'featured_image_slider_title'       => array(),
        'featured_image_slider_content'     => array(),
        'transition_effect'                 => 'fade',
        'transition_delay'                  => 4,
        'transition_duration'               => 1,
        'disable_footer_social'             => 0,
        'social_facebook'                   => '',
        'social_twitter'                    => '',
        'social_googleplus'                 => '',
        'social_pinterest'                  => '',
        'social_youtube'                    => '',
        'social_vimeo'                      => '',
        'social_linkedin'                   => '',
        'social_aim'                        => '',
        'social_myspace'                    => '',
        'social_flickr'                     => '',
        'social_tumblr'                     => '',
        'social_deviantart'                 => '',
        'social_dribbble'                   => '',
        'social_wordpress'                  => '',
        'social_rss'                        => '',
        'social_slideshare'                 => '',
        'social_instagram'                  => '',
        'social_skype'                      => '',
        'social_soundcloud'                 => '',
        'social_email'                      => '',
        'social_xing'                       => '',
        'social_meetup'                     => '',
        'social_goodreads'                  => '',
        'social_github'                     => '',
        'social_vk'                         => '',
        'enable_specificfeeds'              => '0',
        'custom_css'                        => '',
        'disable_notifier'                  => '0',
        'disable_scrollup'                  => '0',
        'google_verification'               => '',
        'yahoo_verification'                => '',
        'bing_verification'                 => '',
        'analytic_header'                   => '',
        'analytic_footer'                   => '',
        'more_tag_accessible'               => 1,
        'more_tag_text'                     => esc_html__( 'Continue Reading &rarr;', 'catch-box-pro' ),
        'more_tag_text_accessible'          => esc_html__( 'Continue Reading', 'catch-box-pro' ),
        'more_tag_icon_accessible'          => esc_html__( '&rarr;', 'catch-box-pro' ),
        'excerpt_length'                    => 30,
        'feed_url'                          => '',
        'commenting_setting'                => 'default',
        'commenting_disable_url'            => '0',
        'footer_code'                       => '<div class="copyright">Copyright &copy; [the-year] <span>[site-link]</span>. All Rights Reserved.</div><div class="powered">'. esc_attr__( 'Theme:', 'catch-box-pro' ) . ' [theme-link]</div>',
        'reset_footer'                      => 0
    );
}

if ( ! function_exists( 'catchbox_available_fonts' ) ) :
    /**
     * Returns an array of fonts available to the theme.
     *
     * @since Catch Box Pro 1.0
     */
    function catchbox_available_fonts() {
        return array(
            'arial-black'           => '"Arial Black", Gadget, sans-serif',
            'allan'                 => 'Allan, sans-serif',
            'allerta'               => 'Allerta, sans-serif',
            'amaranth'              => 'Amaranth, sans-serif',
            'arial'                 => 'Arial, Helvetica, sans-serif',
            'bitter'                => 'Bitter, sans-serif',
            'cabin'                 => 'Cabin, sans-serif',
            'cantarell'             => 'Cantarell, sans-serif',
            'century-gothic'        => '"Century Gothic", sans-serif',
            'courier-new'           => '"Courier New", Courier, monospace',
            'crimson-text'          => '"Crimson Text", sans-serif',
            'dancing-script'        => '"Dancing Script", sans-serif',
            'droid-sans'            => '"Droid Sans", sans-serif',
            'droid-serif'           => '"Droid Serif", sans-serif',
            'georgia'               => 'Georgia, "Times New Roman", Times, serif',
            'helvetica'             => 'Helvetica, "Helvetica Neue", Arial, sans-serif',
            'helvetica-neue'        => '"Helvetica Neue",Helvetica,Arial,sans-serif',
            'istok-web'             => '"Istok Web", sans-serif',
            'impact'                => 'Impact, Charcoal, sans-serif',
            'lato'                  => '"Lato", sans-serif',
            'lucida-sans-unicode'   => '"Lucida Sans Unicode", "Lucida Grande", sans-serif',
            'lucida-grande'         => '"Lucida Grande", "Lucida Sans Unicode", sans-serif',
            'lobster'               => 'Lobster, sans-serif',
            'lora'                  => '"Lora", serif',
            'monaco'                => 'Monaco, Consolas, "Lucida Console", monospace, sans-serif',
            'nobile'                => 'Nobile, sans-serif',
            'open-sans'             => '"Open Sans", sans-serif',
            'oswald'                => '"Oswald", sans-serif',
            'palatino'              => 'Palatino, "Palatino Linotype", "Book Antiqua", serif',
            'patua-one'             => '"Patua One", sans-serif',
            'playfair-display'      => '"Playfair Display", sans-serif',
            'pt-sans'               => '"PT Sans", sans-serif',
            'pt-serif'              => '"PT Serif", serif',
            'quattrocento-sans'     => '"Quattrocento Sans", sans-serif',
            'tahoma'                => 'Tahoma, Geneva, sans-serif',
            'trebuchet-ms'          => '"Trebuchet MS", "Helvetica", sans-serif',
            'times-new-roman'       => '"Times New Roman", Times, serif',
            'ubuntu'                => 'Ubuntu, sans-serif',
            'verdana'               => 'Verdana, Geneva, sans-serif',
            'yanone-kaffeesatz'     => '"Yanone Kaffeesatz", sans-serif'
        );

    }
endif;


/**
 * Returns an array of comment option
 *
 * @since Catchbox Pro 3.4
 */
function catchbox_comment_option() {
	$options = array(
		'default'	=> esc_html__( 'Use WordPress Settings', 'catch-box-pro' ),
		'page'		=> esc_html__( 'Disable in Pages', 'catch-box-pro' ),
		'disable'	=> esc_html__( 'Disable Completely', 'catch-box-pro' ),
	);

	return apply_filters( 'catchbox_comment_option', $options );
}

/**
 * Returns an array of slider types
 *
 * @since Catch Box 3.4
 */
function catchbox_slider_types() {
	$options = array(
		'post-slider' 		=> esc_html__( 'Post Slider', 'catch-box-pro' ),
		'page-slider'		=> esc_html__( 'Page Slider', 'catch-box-pro' ),
		'category-slider'	=> esc_html__( 'Category Slider', 'catch-box-pro' ),
		'image-slider'		=> esc_html__( 'Image Slider', 'catch-box-pro' ),
	);

	return apply_filters( 'catchbox_slider_types', $options );
}

/**
 * Returns an array of slider layouts
 *
 * @since Catch Box 3.4
 */
function catchbox_slider_layouts() {
	$options = array(
		'normal' 		=> esc_html__( 'Normal Width Slider', 'catch-box-pro' ),
		'fullwidth'		=> esc_html__( 'Full Width Slider', 'catch-box-pro' ),
	);

	return apply_filters( 'catchbox_slider_types', $options );
}


/**
 * Returns an array of slider enable options
 *
 * @since Catch Box 3.4
 */
function catchbox_enable_slider_options() {
	$options = array(
		'enable-slider-homepage'=> esc_html__( 'Homepage', 'catch-box-pro' ),
		'enable-slider-allpage' => esc_html__( 'Entire Site', 'catch-box-pro' ),
		'disable-slider' 		=> esc_html__( 'Disable', 'catch-box-pro' ),
	);

	return apply_filters( 'catchbox_enable_slider_options', $options );
}


/**
 * Function to display the current year.
 *
 * @uses date() Gets the current year.
 * @return string
 */
function catchbox_the_year() {
	return esc_attr( date_i18n( __( 'Y', 'catch-box-pro' ) ) );
}


/**
 * Function to display a link back to the site.
 *
 * @uses get_bloginfo() Gets the site link
 * @return string
 */
function catchbox_site_link() {
	return '<a href="' . esc_url( home_url( '/' ) ) . '" title="' . esc_attr( get_bloginfo( 'name', 'display' ) ) . '" ><span>' . get_bloginfo( 'name', 'display' ) . '</span></a>';
}


/**
 * Function to display a link to WordPress.org.
 *
 * @return string
 */
function catchbox_wp_link() {
	return '<a href="http://wordpress.org" target="_blank" title="' . esc_attr__( 'WordPress', 'catch-box-pro' ) . '"><span>' . esc_html__( 'WordPress', 'catch-box-pro' ) . '</span></a>';
}


/**
 * Function to display a link to Theme Link.
 *
 * @return string
 */
function catchbox_theme_link() {
	return '<a href="https://catchthemes.com/themes/catch-box-pro" target="_blank" title="' . esc_attr__( 'Catch Box Pro', 'catch-box-pro' ) . '"><span>' . esc_html__( 'Catch Box Pro', 'catch-box-pro' ) . '</span></a>';
}

/**
 * Returns the options array for Catch Box.
 *
 * @since Catch Box 4.4
 */
function catchbox_get_options() {
    return wp_parse_args( ( array ) get_theme_mod( 'catchbox_theme_options' ), catchbox_defaults() );
}

/**
 * Returns an array of color schemes registered for Catch Box.
 *
 * @since Catch Box 1.0
 */
function catchbox_color_schemes() {
    $color_scheme_options = array(
        'light'  => esc_html__( 'Light', 'catch-box-pro' ),
        'dark'   => esc_html__( 'Dark', 'catch-box-pro' ),
        'blue'   => esc_html__( 'Blue', 'catch-box-pro' ),
        'green'  => esc_html__( 'Green', 'catch-box-pro' ),
        'red'    => esc_html__( 'Red', 'catch-box-pro' ),
        'brown'  => esc_html__( 'Brown', 'catch-box-pro' ),
        'orange' => esc_html__( 'Orange', 'catch-box-pro' ),
    );

    return apply_filters( 'catchbox_color_schemes', $color_scheme_options );
}

/**
 * Returns an array of layout options registered for Catch Box.
 *
 * @since Catch Box 1.0
 */
function catchbox_layouts() {
    $layout_options = array(
        'right-sidebar'         => esc_html__( 'Content on left', 'catch-box-pro'),
        'left-sidebar'          => esc_html__( 'Content on right', 'catch-box-pro'),
        'no-sidebar-one-column' => esc_html__( 'One-column, no sidebar', 'catch-box-pro'),
        'no-sidebar-full-width' => esc_html__( 'No sidebar full width', 'catch-box-pro'),
        'no-sidebar'            => esc_html__( 'No Sidebar', 'catch-box-pro'),
    );

    return apply_filters( 'catchbox_layouts', $layout_options );
}

/**
 * Returns an array of content layout options registered for Catch Box.
 *
 * @since Catch Box 1.0
 */
function catchbox_content_layout() {
    $content_options = array(
        'excerpt'           => array(
            'value'         => 'excerpt',
            'label'         => esc_html__( 'Show excerpt', 'catch-box-pro' ),
            'thumbnail'     => get_template_directory_uri() . '/inc/images/excerpt.png',
        ),
        'full-content'      => array(
            'value'         => 'full-content',
            'label'         => esc_html__( 'Show full content', 'catch-box-pro' ),
            'thumbnail'     => get_template_directory_uri() . '/inc/images/full-content.png',
        )
    );

    return apply_filters( 'catchbox_content_layouts', $content_options );
}